Last modified: September 01 2021.
Contact: hpchelp [at] iitd.ac.in

TENSORFLOW


Note : In case conda installation of tensorflow(gpu) version, please check whether it will work on both the type of GPU nodes i.e. vsky nodes (V100 cards) (cuda compute capability 70), khas nodes(K40 cards) (cuda compute capability 35).

If not, it needs installation from source.


Available tensorflow versions on HPC which will work on both K40 & V100 cards are :


Tensorflow 2.0 with cuda 10.0 : module load apps/anaconda/3

Tensorflow 2.5 with cuda 11.0 : module load apps/tensorflow/2.5/gpu/python3.6